<!doctype html>
<html
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        layout:decorator="layouts/cms">
<head>
</head>
<body>
<th:block layout:fragment="sidebar" th:include="fragments/cms::sidebar('tags')"/>
<th:block layout:fragment="navigation" th:include="fragments/cms::navigation('Tags')"/>

<div layout:fragment="content" class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card card-plain">
                    <div class="content table-responsive table-full-width">

                        <th:block th:include="fragments/cms::notification(${status}, null)"/>

                        <table class="table table-hover">
                            <thead>
                            <th>Name</th>
                            <th>Locale</th>
                            <th></th>
                            </thead>
                            <tbody>

                            <tr th:each="tag: ${tags}">
                                <form th:id="${'tag_' + tag.id}" method="post" action="/cms/tags">
                                    <input type="hidden" name="id" th:value="${tag.id}"/>

                                    <td>
                                        <input type="text"
                                               name="name"
                                               th:value="${tag.name}"
                                               class="form-control"/>

                                    </td>
                                    <td th:text="${tag.locale}"></td>
                                    <td style="text-align: right">
                                        <a th:for="${'tag_' + tag.id}" class="btn btn-info btn-fill submit">update</a>
                                        <a onclick="return confirm('Are you sure')" class="btn btn-danger btn-fill"
                                           th:href="${'/cms/tags/' + tag.id + '/delete'}">delete</a>
                                    </td>
                                </form>
                            </tr>

                            <form id="new" method="post" action="/cms/tags">
                                <tr>

                                    <td>
                                        <input type="text" name="name" class="form-control"/>
                                    </td>
                                    <td>
                                        <select class="form-control" name="locale">
                                            <option th:each="supported: ${supported_locale}"
                                                    th:value="${supported}"
                                                    th:text="${supported}"
                                                    th:selected="${supported == locale}"></option>
                                        </select>
                                    </td>
                                    <td>
                                        <a for="new" href="#submit" class="pull-right submit">+ add new</a>
                                    </td>

                                </tr>
                            </form>
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>


        </div>
    </div>
</div>

</body>
</html>
